Update an Page Dynamic Attribute

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
PUT /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

  • dynamic_attribute string Required

    name of dynamic attribute

application/json

Body

  • value string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • attributename_mappriority string

      the updated dynamic attribute

PUT /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
curl \
 --request PUT 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/dynamic_attributes/{dynamic_attribute}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"value":"my_element2"}'
Request examples
{
  "value": "my_element2"
}
Response examples (200)
{
  "dynamic_attribute": "map_priority"
}